package com.hfkj.sysenum.order;

import lombok.Getter;

/**
  * @ClassName OrderCinemaStatusEnum
  * @Author Sum1Dream
  * @Description 电影票状态枚举
  * @Date 2024/7/4 下午3:32
 **/
@Getter
public enum OrderCinemaStatusEnum {

    /**
     * 未上送
     */
    status0(0, "未上送"),

    /**
     * 待出票
     */
    status5(5, "待出票"),

    /**
     * 已出票
     */
    status10(10, "已出票"),

    /**
     * 已退款
     */
    status15(15, "交易成功"),

    /**
     * 已取消
     */
    statusNegative5(-5, "已取消"),

    /**
     * 代付款
     */
    status20(20, "代付款"),

    ;

    private final int code;

    private final String name;


    OrderCinemaStatusEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }
}
